AbstractLauncher.Status (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.distributed, class: AbstractLauncher, enum: Status

Package org.apache.geode.distributed

# Enum Class AbstractLauncher.Status

java.lang.Object
java.lang.Enum<AbstractLauncher.Status>
org.apache.geode.distributed.AbstractLauncher.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractLauncher.Status>`, `Constable`

Enclosing class:
  AbstractLauncher<T extends Comparable<T>>

public static enum AbstractLauncher.Status extends Enum<AbstractLauncher.Status>
The Status enumerated type represents the various lifecycle states of a GemFire service (such as a Cache Server, a Locator or a Manager).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NOT_RESPONDING`
  `ONLINE`
  `STARTING`
  `STOPPED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Gets the description of the Status enum type.
  `String`
  `toString()`
  Gets a String representation of the Status enum type.
  `static AbstractLauncher.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractLauncher.Status`
  `valueOfDescription(String description)`
  Looks up the Status enum type by description.
  `static AbstractLauncher.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_RESPONDING

    public static final AbstractLauncher.Status NOT_RESPONDING

  - ### ONLINE

    public static final AbstractLauncher.Status ONLINE

  - ### STARTING

    public static final AbstractLauncher.Status STARTING

  - ### STOPPED

    public static final AbstractLauncher.Status STOPPED

- ## Method Details

  - ### values

    public static AbstractLauncher.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractLauncher.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### valueOfDescription

    public static AbstractLauncher.Status valueOfDescription(String description)
    Looks up the Status enum type by description. The lookup operation is case-insensitive.
    Parameters:
      `description` - a String value describing the Locator's status.
    Returns:
      a Status enumerated type matching the description.

  - ### getDescription

    public String getDescription()
    Gets the description of the Status enum type.
    Returns:
      a String describing the Status enum type.

  - ### toString

    public String toString()
    Gets a String representation of the Status enum type.
    Overrides:
      `toString` in class `Enum<AbstractLauncher.Status>`
    Returns:
      a String representing the Status enum type.
    See Also:
      - `getDescription()`